/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Purpose Of Reference To Predecessor Report
 */
public enum EnumCV_PurposeOfReferenceToPredecessorReport 
{
	// Purpose Of Reference To Predecessor Report - CID 7009
	REPLACED_REPORT_121360("121360"),
	ADDENDED_REPORT_121361("121361"),
	PRELIMINARY_REPORT_121362("121362"),
	PARTIAL_REPORT_121363("121363"),
	CURRENT_PROCEDURE_EVIDENCE_122073("122073");
	

	private String value;
	
	EnumCV_PurposeOfReferenceToPredecessorReport(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
